<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Wp_Dxp
 * @subpackage Wp_Dxp/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<div class="container-fluid pl-0 pr-0 wp-dxp-header-nav">

    <?php
    require_once plugin_dir_path( dirname( __FILE__ ) ) . '_other/wp-dxp-header-nav.php'; ?>

</div>

<section class="section wp-dxp-body-content">
    <div class="container-fluid">
        <div class="row mb-lg-2">
            <div class="col-12">
                <h2 class="h4 section-title mb-2"><?php _e('Existing Categories', 'wp-dxp'); ?></h2>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-12">
                <p class="section-description"><?php _e('Below are the categories currently available to use. Click on Edit to make changes to the category.', 'wp-dxp'); ?></p>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="table-responsive-lg">
                    <table class="datatable_categories table table-striped table-bordered">
                        <thead>
                            <tr>
                                <th><?php _e('Category Name', 'wp-dxp'); ?></th>
                                <th><?php _e('Rules', 'wp-dxp'); ?></th>
                                <th>&nbsp;</th>
                            </tr>
                        </thead>

                        <tbody>
                            <?php
                            foreach ($categories as $i => $category) : ?>
                            <tr class="<?php echo $i % 2 ? 'alternate' : ''; ?>">
                                <td><?php echo esc_attr($category->name); ?></td>
                                <td><?php echo esc_attr(count($category->getRules())); ?></td>
                                <td>
                                    <div class="d-flex justify-content-center">
                                        <a class="table-link mx-1" href="<?php echo $category->edit_url; ?>"><?php echo $category->can_edit ? 'Edit' : 'View'; ?></a>
                                        <?php
                                        if ($category->can_delete) : ?>
                                            | <a class="table-link mx-1 wp-dxp-delete-category" href="<?php echo $category->delete_url; ?>">Delete</a>
                                        <?php
                                        endif; ?>
                                        <?php if (count($category->getRules())) : ?>
                                            | <a class="table-link mx-1" href="<?php echo $category->rules_url; ?>"><?php if ( count( $category->getRules() ) ) : echo 'View Rules'; endif; ?></a>
                                        <?php endif; ?>
                                    </div>
                                </td>
                            </tr>
                            <?php
                            endforeach; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="section">
    <div class="container-fluid">
        <div class="row mb-lg-2">
            <div class="col-12">
                <h2 class="h4 section-title mb-2"><?php _e('Add New Category', 'wp-dxp'); ?></h2>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-12">
                <p class="section-description"><?php _e('If you would like to add your own category, please click on the button below.', 'wp-dxp'); ?></p>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-12">
                <a class="btn" href="<?php echo WP_DXP_ADMIN_CATEGORIES_CREATE_URL; ?>">Add Category</a>
            </div>
        </div>
    </div>
</section>

<?php
require_once plugin_dir_path( dirname( __FILE__ ) ) . '_other/wp-dxp-footer.php'; ?>