<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Wp_Dxp
 * @subpackage Wp_Dxp/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<div class="container-fluid pl-0 pr-0 wp-dxp-header-nav">

    <?php
    require_once plugin_dir_path( dirname( __FILE__ ) ) . '_other/wp-dxp-header-nav.php'; ?>

</div>

<section class="section mb-0 wp-dxp-body-content">
    <div class="container-fluid">
        <div class="row mb-lg-2">
            <div class="col-12 col-lg-10 d-inline-flex align-items-center justify-content-between">
                <h2 class="h4 section-title mb-2"><?php _e('Help', 'wp-dxp'); ?></h2>
            </div>
        </div>
        <div class="row mb-2">
            <div class="col-12 col-lg-10">
                <p class="section-description"><?php _e('Use our FAQ below to find answers to common questions. If you still don\'t find what you are looking for, then please feel free to contact us using the details provided  below.', 'wp-dxp'); ?></p>
            </div>
        </div>
    </div>
</section>

<section class="section mb-4">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="accordion" id="accordionExample">
                    <div class="faq-item">
                        <div class="faq-header" id="headingOne">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                    What is WP-DXP? 
                                </button>
                            </h2>
                        </div>

                        <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
                            <div class="faq-body">
                                WP-DXP is a WordPress plugin designed to add personalisation features and options, and DXP is an acronym for Digital Experience Platform. <br><br>It follows similar principles to Enterprise platforms such as Episerver, Optimizely and Sitecore and works in conjunction with the Gutenberg block editor to provide a simple and clear pathway to this functionality for content authors and admins.
                            </div>
                        </div>
                    </div>
                    <div class="faq-item">
                        <div class="faq-header" id="headingTwo">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                    What can I use it for?
                                </button>
                            </h2>
                        </div>
                        <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                            <div class="faq-body">
                                You can use WP-DXP to personalise content to your users, based on actions that they have taken, or criteria such as which countries they are accessing your site from.<br><br>We have included basic rules into the plugin to provide a starting point, and if you have plugins such as WooCommerce or Gravity Forms installed, you gain access to more.<br><br>Additionally, you can add your own rules, based on a set of conditions, and then apply those to any blocks you wish.<br><br>Available rules out of the box include the ability to show or hide blocks if:<br><br>
                                <ul>
                                    <li>The user is logged in or not</li>
                                    <li>The user is, or is not, from a specific country</li>
                                    <li>When a certain amount of time has passed</li>
                                    <li>The user is new to the site or is returning</li>
                                    <li>Users are using a mobile, tablet or desktop device</li>
                                    <li>A user is visiting at a specific time or period of the day</li>
                                    <li>If they have purchased a product from your WooCommerce Store</li>
                                    <li>If they have completed a Ninja Form on your site</li>
                                    <li>If they have completed a Gravity Form on your site</li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="faq-item">
                        <div class="faq-header" id="headingThree">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                    How do I use WP-DXP?
                                </button>
                            </h2>
                        </div>
                        <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
                            <div class="faq-body">
                                Once you have the plugin installed and activated, a WP-DXP option will appear in the Block Settings sidebar in the Gutenberg Editor when you are editing a block.<br><br>Within this, you will be given the choice to choose a rule and determine an action if that rule is met.<br><br>For instance, you may wish to add a content block with a message that is only shown to the user if they come from a particular country, or if they have purchased a product from your store. Feel free to play around, and let us know if you think what more we could add as default rules out of the box.
                            </div>
                        </div>
                    </div>
                    <div class="faq-item">
                        <div class="faq-header" id="headingFour">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseFour" aria-expanded="false" aria-controls="collapseFour">
                                    Are there any limitations?
                                </button>
                            </h2>
                        </div>
                        <div id="collapseFour" class="collapse" aria-labelledby="headingFour" data-parent="#accordionExample">
                            <div class="faq-body">
                                The actions that you can take when a rule is met, are currently limited to Show or Hide a block. We will be adding new actions in a future release.<br/><br/>The plugin does not work with the Classic Block - which is due to be deprecated. You can use the Convert to Blocks feature to transform the Classic Block into independent Gutenberg blocks, which can then take advantage of WP-DXP.
                            </div>
                        </div>
                    </div>
                    <div class="faq-item">
                        <div class="faq-header" id="headingFive">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseFive" aria-expanded="false" aria-controls="collapseFive">
                                    Will the plugin always be free to use?
                                </button>
                            </h2>
                        </div>
                        <div id="collapseFive" class="collapse" aria-labelledby="headingFive" data-parent="#accordionExample">
                            <div class="faq-body">
                                We will always have a free version of the plugin, but in the future it is likely that we will add a Pro version which will offer additional features. At this stage, we cannot tell you what these features will be or how much it will cost, but anything included in the Free version of the plugin will be free forever.
                            </div>
                        </div>
                    </div>
                    <div class="faq-item">
                        <div class="faq-header" id="headingSix">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseSix" aria-expanded="false" aria-controls="collapseSix">
                                    How are you determining the location of a site visitor?
                                </button>
                            </h2>
                        </div>
                        <div id="collapseSix" class="collapse" aria-labelledby="headingSix" data-parent="#accordionExample">
                            <div class="faq-body">
                                This product includes GeoLite2 data created by MaxMind, available from <a href="https://www.maxmind.com" rel="noopener noreferrer" class="text-link">https://www.maxmind.com</a>. We use the GeoLite2 Country database file, and include it as part of the plugin. You can update the file yourself if you wish to.
                            </div>
                        </div>
                    </div>
                    <div class="faq-item">
                        <div class="faq-header" id="headingSeven">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseSeven" aria-expanded="false" aria-controls="collapseSeven">
                                    Do you have a roadmap?
                                </button>
                            </h2>
                        </div>
                        <div id="collapseSeven" class="collapse" aria-labelledby="headingSeven" data-parent="#accordionExample">
                            <div class="faq-body">
                                We have an internal roadmap that we are using to develop new features - including additional rules, A-B Testing, profile scoring features, and integration with other plugins and commercial platforms.<br><br>We will also be developing new conditions and pre-built rules, and exploring how we can provide detailed reporting. If you have any suggestions on what we should consider adding, please feel free to get in touch using the details in the Support and Feedback section below.
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="section mb-0">
    <div class="container-fluid">
        <div class="row mb-lg-2">
            <div class="col-12 col-lg-10 d-inline-flex align-items-center justify-content-between">
                <h2 class="h4 section-title mb-2"><?php _e('Support, Feedback and Other Queries', 'wp-dxp'); ?></h2>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-12 col-xl-10">
                <p class="section-description"><?php _e('If you have not managed to find what you are looking for in the FAQ above, then please feel free to email us at <a href="mailto:support@filter-digital.com?&subject=WP-DXP Query" class="text-link">Filter Suppport<a/> and we will try to help out. In your email, please try and provide as much information as you can, including what version of WordPress you are using and the version of WP-DXP that you have installed.', 'wp-dxp'); ?></p>
                <p class="section-description"><?php _e('As this is a free plugin, we may take up to 72 hours to respond to any support requests, but we are genuinely interested in hearing about any issues you may have, or any feedback you would like to provide. We are a friendly bunch and just trying to do good things for nice people, and like to be treated, and treat others, with respect at all times.', 'wp-dxp'); ?></p>
            </div>
        </div>
    </div>
</section>

<section class="section mb-0">
    <div class="container-fluid">
        <div class="row mb-lg-2">
            <div class="col-12 col-lg-10 d-inline-flex align-items-center justify-content-between">
                <h2 class="h4 section-title mb-2"><?php _e('Credits', 'wp-dxp'); ?></h2>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-12 col-xl-10">
                <p class="section-description"><?php _e('WP-DXP is authored and developed by <a href="https://filter.agency" class="text-link" target="_blank" rel="noopener noreferrer">Filter</a>, a digital agency experienced in web and mobile solutions. More information on WP-DXP can be found <a href="https://filter.agency/about/wp-dxp/" class="text-link" target="_blank" rel="noopener noreferrer" >here</a>.', 'wp-dxp'); ?></p>
            </div>
        </div>
    </div>
</section>

<?php
require_once plugin_dir_path( dirname( __FILE__ ) ) . '_other/wp-dxp-footer.php'; ?>
