<?php
class Wp_Dxp_DB_Manager extends Wp_Dxp_Singleton {

	protected $migrationKey = 'wp_dxp_last_migration';

	/**
	 * Constructor
	 */
	public function __construct() { }

	/**
	 * Run migrations
	 */
	public function migrate()
	{
		global $wpdb;

		if(is_admin()) {
			$lastMigration = get_option($this->migrationKey);
			if(!is_numeric($lastMigration))
				$lastMigration = -1;

			$i = -1;

			require_once(plugin_dir_path( dirname( __FILE__ ) ) . 'includes/wp-dxp-db-migrations.php');
			foreach($wpDxpDbMigrations as $i => $closure){
				if($i <= $lastMigration) {
					continue;
				}

				$closure($wpdb);
			}

			if($i > $lastMigration) {
				update_option($this->migrationKey, $i);
			}
		}
	}

	public function deactivate() {}
}