<?php
class Wp_Dxp_Condition_Core_Time_Elapsed extends Wp_Dxp_Base_Condition {

	public $description = "Time on current page";

	public $identifier = 'core_time_elapsed';

	public $category = 'Core';

	/**
	 * Constructor
	 */
	public function __construct() {
		parent::__construct();

		$this->comparators = [
			'equals' => 'Is',
		];
		
		$this->comparisonValues = [
			5 => '5 seconds',
			10 => '10 seconds',
			15 => '15 seconds',
			30 => '30 seconds',
			60 => '1 minute',
			120 => '2 minutes',
			180 => '3 minutes',
			240 => '4 minutes',
			300 => '5 minutes',
			600 => '10 minutes',
			900 => '15 minutes',
			1200 => '20 minutes',
			1800 => '30 minutes',
			2700 => '45 minutes',
			3600 => '1 hour',
		];
	}

	/**
	 * Test data against condition
	 * @param  string $comparator
	 * @return boolean
	 */
	public function matchesCriteria($comparator, $value, $action)
	{
		switch ($comparator) {
			case 'equals':
				return $this->comparatorEquals($value, $action);
		}

		return false;
	}

	/**
	 * "Equal" test
	 * @return boolean
	 */
	public function comparatorEquals($value, $action)
	{
		return $action === 'show';
	}

	/**
	 * Array of tag attributes to be included in WP DXP tag given the chosen condition
	 * @param  StdClass $condition
	 * @param  string $action
	 * @return array
	 */
	public function tagAttributes($condition, $action)
	{
		return [($action === 'show' ? 'delayed' : 'lifetime') => $condition->value];
	}
}