<?php
class Wp_Dxp_Condition_Core_Users_Device_Type extends Wp_Dxp_Base_Condition {

	public $description = "Device Type";

	public $identifier = 'core_users_device_type';

	public $category = 'Core';

	/**
	 * Constructor
	 */
	public function __construct() {
		parent::__construct();

		$this->comparators = [
			'equals' => 'Equal To',
		];

		$this->comparisonValues = [
			'mobile' => 'Mobile',
			'tablet' => 'Tablet',
			'desktop' => 'Desktop',
			'ios' => 'iOS device',
			'android' => 'Android device',
		];
	}

	/**
	 * Test data against condition
	 * @param  string $comparator
	 * @return boolean
	 */
	public function matchesCriteria($comparator, $value, $action)
	{
		switch ($comparator) {
			case 'equals':
				return $this->comparatorEquals($value);
		}

		return false;
	}

	/**
	 * "Equal" test
	 * @return boolean
	 */
	public function comparatorEquals($value)
	{
		if (in_array($value, $GLOBALS['WP_DXP_PARAMS']['users_device_type'])) {
			return true;
		} else {
			return false;
		}
	}
}