<?php
class Wp_Dxp_Condition_Core_Users_Last_Visit extends Wp_Dxp_Base_Condition {

	public $description = "Last Visit";

	public $identifier = 'core_users_last_visit';

	public $category = 'Core';

	/**
	 * Constructor
	 */
	public function __construct() {
		parent::__construct();

		$this->comparators = [
			'more_than' => 'More Than',
			'less_than' => 'Less Than',
			'equals' => 'Equal To',
		];

		$this->comparisonValues = [
			1 => '1 Day ago',
			2 => '2 Days ago',
			3 => '3 Days ago',
			4 => '4 Days ago',
			5 => '5 Days ago',
			6 => '6 Days ago',
			7 => '7 Days ago',
			8 => '8 Days ago',
			9 => '9 Days ago',
			10 => '10 Days ago',
			11 => '11 Days ago',
			12 => '12 Days ago',
			13 => '13 Days ago',
			14 => '14 Days ago',
			15 => '15 Days ago',
			16 => '16 Days ago',
			17 => '17 Days ago',
			18 => '18 Days ago',
			19 => '19 Days ago',
			20 => '20 Days ago',
			21 => '21 Days ago',
			22 => '22 Days ago',
			23 => '23 Days ago',
			24 => '24 Days ago',
			25 => '25 Days ago',
			26 => '26 Days ago',
			27 => '27 Days ago',
			28 => '28 Days ago',
			29 => '29 Days ago',
			30 => '30 Days ago',
		];
	}

	/**
	 * Test data against condition
	 * @param  string $comparator
	 * @return boolean
	 */
	public function matchesCriteria($comparator, $value, $action)
	{
		switch ($comparator) {
			case 'more_than':
				return $this->comparatorMoreThan($value);
			case 'less_than':
				return $this->comparatorLessThan($value);
			case 'equals':
				return $this->comparatorEquals($value);
		}

		return false;
	}

	/**
	 * "More than" test
	 * @return boolean
	 */
	public function comparatorMoreThan($value)
	{
		if ($GLOBALS['WP_DXP_PARAMS']['daysSinceLastVisit'] > $value) {
			return true;
		} else {
			return false;
		}
	}

	/**
	 * "Less than" test
	 * @return boolean
	 */
	public function comparatorLessThan($value)
	{
		if ($GLOBALS['WP_DXP_PARAMS']['daysSinceLastVisit'] < $value) {
			return true;
		} else {
			return false;
		}
	}

	/**
	 * "Equal" test
	 * @return boolean
	 */
	public function comparatorEquals($value)
	{
		if ($GLOBALS['WP_DXP_PARAMS']['daysSinceLastVisit'] == $value) {
			return true;
		} else {
			return false;
		}
	}
}