<?php
class Wp_Dxp_Condition_Core_Users_Visiting_Time extends Wp_Dxp_Base_Condition {

	public $description = "Visit Period";

	public $identifier = 'core_users_visiting_time';

	public $category = 'Core';

	/**
	 * Constructor
	 */
	public function __construct() {
		parent::__construct();

		$this->comparators = [
			'equals' => 'Equal To',
		];

		$this->comparisonValues = [
			'morning' => 'Morning',
			'afternoon' => 'Afternoon',
			'evening' => 'Evening',
			'nighttime' => 'Nighttime',
		];
	}

	/**
	 * Test data against condition
	 * @param  string $comparator
	 * @return boolean
	 */
	public function matchesCriteria($comparator, $value, $action)
	{
		switch ($comparator) {
			case 'equals':
				return $this->comparatorEquals($value);
		}

		return false;
	}

	/**
	 * "Equal" test
	 * @return boolean
	 */
	public function comparatorEquals($value)
	{
		if ($GLOBALS['WP_DXP_PARAMS']['time_of_day'] == $value) {
			return true;
		} else {
			return false;
		}
	}
}